Subject: Re: [mif] The DHCP Route - Default Route discussion

From: Alexandru Petrescu <[email-masked]>
Date: Thu, 26 Jul 2012 19:03:31 +0200

Brian,

> Alexandru,
>
> On 25/07/2012 16:07, Alexandru Petrescu wrote:
>> Brian,
>>
>> In the email below you touch lightly on the discussion about routes
>> with DHCP (default or otherwise).
>>
>> I wonder whether we have a conclusion on that discussion?
>
> I haven't seen a clear conclusion, and of course it is not a topic
> for MIF alone. It really is a cross-WG and cross-Area question.

WEll yes, more or less.  I think there exist aspects in this dhcp route
discussion that pertain more to the multiple interfaces use case.

And this was already sent from DHC to here, and from ipv6 WG to here.
At some point if the work needs to be done just do it somewhere where
the expertise is present and call it something.

>> My understanding is that at the last F2F meeting in Paris there
>> was strong opposition in doing routes with DHCP.  And that on the
>> mailing list there is activity that supports both.
>
> Indeed. There are certainly people whose preferred deployment
> scenarios favour one or the other. That hasn't changed in the last 5
>  years.
>
>> A suggestion I received privately is to rather develop Neighbor
>> Discovery Prefix Delegation, instead of DHCP default route (if I
>> want to save on the number of messages).
>
> I think the objective evidence is that the market wants both.
> Although, as the editor of RFC 1958, I support its principle "If
> there are several ways of doing the same thing, choose one", there
> are times when this is unrealistic.
>
>> I wonder whether draft-ietf-mif-dhcpv6-route-option-04 is going to
>>  be updated and how?
>>
>> In the mif agenda of the Vancouver meeting I do not see any
>> presentation about this topic.
>>
>> What
>
> What, indeed!

Sorry, that was an error of my keyboard loosing power and arbitrarily
sending characters.

Yours,

Alex

> Brian